package com.gh.common.provider

import android.content.Context
import com.gh.common.util.ErrorHelper
import com.gh.gamecenter.core.provider.IErrorHelperProvider
import retrofit2.HttpException

@com.therouter.inject.ServiceProvider
class ErrorHelperProviderImpl : IErrorHelperProvider {

    override fun handleError(
        context: Context,
        errorString: String?,
        showHighPriorityHint: Boolean
    ) {
        ErrorHelper.handleError(context, errorString, showHighPriorityHint)
    }

    override fun handleLoginError(
        context: Context,
        httpException: HttpException?,
        loginTagChinese: String,
        isCertificate: Boolean
    ) {
        ErrorHelper.handleLoginError(context, httpException, loginTagChinese, isCertificate)
    }

}